https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lockRetrieves general information about an envelope lock. The user requesting the information must be the same user who locked the envelope. You can use this method to recover the lock information, including the `lockToken`, for a locked envelope. The `X-DocuSign-Edit` header is included in the response. See EnvelopeLocks: create for a description of the `X-DocuSign-Edit` header. ### Related topics - Common API Tasks: Locking and unlocking envelopes
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lockRetrieves general information about an envelope lock. The user requesting the information must be the same user who locked the envelope. You can use this method to recover the lock information, including the `lockToken`, for a locked envelope. The `X-DocuSign-Edit` header is included in the response. See EnvelopeLocks: create for a description of the `X-DocuSign-Edit` header. ### Related topics - Common API Tasks: Locking and unlocking envelopes
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}